function readRegister(addr) {
    return invoke('sendCommand', [`rreg ${addr.toString(16)}`, 5000]);
}

function writeRegister(addr, value) {
    return invoke('sendCommand', [`wreg ${addr.toString(16)}  ${value.toString(16)}`, 5000]);
}

// Sends a command string to the firmware, but does not return any values
function send(cmdString) {
    invoke('encoder', cmdString);
}

function sendCommand(cmdString, timeout_ms) {
    return invoke('sendCommand', [cmdString, timeout_ms]);
}